Bug 1265639 - lhapdf: FTBFS in rawhide on ARM
lhapdf: FTBFS in rawhide on ARM
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lhapdf (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mattias Ellert
Fedora Extras Quality Assurance
https://apps.fedoraproject.org/kosche...
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2015-09-23 08:10 EDT by Jitka Plesnikova
Modified: 2016-02-17 22:24 EST (History)
1 user (show)

See Also:
Fixed In Version: lhapdf-5.9.1-14.fc23 lhapdf-5.9.1-14.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-17 15:53:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jitka Plesnikova 2015-09-23 08:10:17 EDT
Description of problem:
Package lhapdf fails to build from source in rawhide.

Version-Release number of selected component (if applicable):
5.9.1-12.fc23

Steps to Reproduce:
koji build --scratch f24 lhapdf-5.9.1-12.fc23.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://apps.fedoraproject.org/koschei/package/lhapdf

The details about first build which failed:
https://apps.fedoraproject.org/koschei/package/lhapdf/767419
Comment 1 Mattias Ellert 2015-10-22 03:13:19 EDT
Some help from an ARM expert would be appreciated.

The compilation succeeds, but running the %check section results in

error while loading shared libraries: libLHAPDF.so.0: failed to map segment from shared object

but only on ARM, the ix86 and x86_64 builds are not affected.

The same source rpm used to build fine also on ARM, and it is not clear to me what the difference is between the time when the build succeeded and now.
Comment 2 Fedora Update System 2016-02-08 07:12:32 EST
lhapdf-5.9.1-14.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1e7b9aace1
Comment 3 Fedora Update System 2016-02-08 07:12:33 EST
lhapdf-5.9.1-14.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b249cd8198
Comment 4 Fedora Update System 2016-02-08 07:12:35 EST
lhapdf-5.9.1-14.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b249cd8198
Comment 5 Fedora Update System 2016-02-09 17:27:29 EST
lhapdf-5.9.1-14.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1e7b9aace1
Comment 6 Fedora Update System 2016-02-10 06:55:38 EST
lhapdf-5.9.1-14.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b249cd8198
Comment 7 Fedora Update System 2016-02-17 15:53:05 EST
lhapdf-5.9.1-14.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-02-17 22:23:59 EST
lhapdf-5.9.1-14.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.